Page MenuHomePhabricator

Ensure Maps servers can be installed easily (automation + documentation)
Closed, ResolvedPublic

Description

Currently there are a few issues with our puppet code for maps, and a few steps needing manual intervention. Things like initial data load needs to be well documented as they are not part of our puppet automation. We need to be in a place where installing a new maps server is:

  1. assign the proper puppet role
  2. run puppet
  3. run a single (or a small number of) scripts to do initial data load / configuration
  4. profit...

The above steps need to be documented enough so that anyone with reasonable understanding of the WMF infrastructure can follow them.

Details

Related Gerrit Patches:
operations/puppet : productionMaps - initial data import
operations/puppet : productionMaps - initial import script
operations/puppet : productionActually create initial import script for OSM data
operations/puppet : productionScript to do the initial data load from OSM for Maps project

Event Timeline

Gehel created this task.Jun 23 2016, 3:10 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 23 2016, 3:10 PM
Yurik moved this task from All map-related tasks to Maps-data on the Maps board.Jun 26 2016, 8:17 PM
MaxSem moved this task from Backlog to In progress on the Maps-Sprint board.Jul 18 2016, 6:25 PM

Change 293105 had a related patch set uploaded (by Gehel):
Script to do the initial data load from OSM for Maps project

https://gerrit.wikimedia.org/r/293105

Change 293105 merged by Gehel:
Script to do the initial data load from OSM for Maps project

https://gerrit.wikimedia.org/r/293105

Change 300410 had a related patch set uploaded (by Gehel):
Actually create initial import script for OSM data

https://gerrit.wikimedia.org/r/300410

Change 300410 merged by Gehel:
Actually create initial import script for OSM data

https://gerrit.wikimedia.org/r/300410

Change 300423 had a related patch set uploaded (by Gehel):
Maps - initial import script

https://gerrit.wikimedia.org/r/300423

Change 300423 merged by Gehel:
Maps - initial import script

https://gerrit.wikimedia.org/r/300423

Change 300572 had a related patch set uploaded (by Gehel):
Maps - initial data import

https://gerrit.wikimedia.org/r/300572

Change 300572 merged by Gehel:
Maps - initial data import

https://gerrit.wikimedia.org/r/300572

Gehel closed this task as Resolved.Oct 12 2016, 6:17 PM

Procedure is being tested again on the reimage of maps-test servers. This seems to work well enough, resolving this task.